Skip to main content
PUT
/
api
/
distribution
/
partner
/
{partnerId}
/
executive-authority
curl -X PUT https://oro-tradebook-devnet.up.railway.app/api/distribution/partner/1/executive-authority \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key" \
  -d '{
    "add": ["NewWalletAddress"],
    "remove": ["OldWalletAddress"]
  }'
{
  "success": true,
  "data": {
    "partnerId": "1",
    "transaction": {
      "serializedTx": "base64-encoded-transaction",
      "signingInstructions": {
        "walletType": "update_authority",
        "signers": ["UpdateAuthorityAddress"],
        "expiresAt": "2024-01-15T10:35:00.000Z"
      }
    }
  }
}

Overview

Add or remove executive authority wallet addresses for a partner. Authorization Required: PARTNER_UPDATE_AUTHORITY or ADMIN The transaction must be signed by the update authority wallet.

Headers

x-api-key
string
required
Your API key for authentication

Path Parameters

partnerId
string
required
The unique identifier of the Distribution Partner

Request Body

add
array
Array of wallet addresses to add as executive authorities
remove
array
Array of wallet addresses to remove from executive authorities

Response

success
boolean
Whether the request was successful
data
object
curl -X PUT https://oro-tradebook-devnet.up.railway.app/api/distribution/partner/1/executive-authority \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key" \
  -d '{
    "add": ["NewWalletAddress"],
    "remove": ["OldWalletAddress"]
  }'
{
  "success": true,
  "data": {
    "partnerId": "1",
    "transaction": {
      "serializedTx": "base64-encoded-transaction",
      "signingInstructions": {
        "walletType": "update_authority",
        "signers": ["UpdateAuthorityAddress"],
        "expiresAt": "2024-01-15T10:35:00.000Z"
      }
    }
  }
}

Notes

Transaction Type

This endpoint returns a Legacy Transaction which is compatible with all wallet libraries.

Signing

Only the update authority wallet signs this transaction.